发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:32:55

[原文]Cross-site scripting (XSS) vulnerability in (1) showcat.php and (2) addyoursite.php in phpLinkat 0.1.0 allows remote attackers to inject arbitrary web script or HTML via the catid parameter.


        phpLinkat 0.1.0版本中的(1) showcat.php和(2)addyoursite.php存在跨站脚本(XSS)漏洞。远程攻击者可以通过catid参数注入任意Web脚本或HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BID  5890
(UNKNOWN)  XF  phplinkat-url-showcat-xss(10269)
(UNKNOWN)  BUGTRAQ  20021003 phpLinkat XSS Security Bug

- 漏洞信息

中危 跨站脚本
2002-12-31 00:00:00 2002-12-31 00:00:00
        phpLinkat 0.1.0版本中的(1) showcat.php和(2)addyoursite.php存在跨站脚本(XSS)漏洞。远程攻击者可以通过catid参数注入任意Web脚本或HTML。

- 公告与补丁

        The following unoffical patch was provided by Sp.IC :
        - Open showcat.php
         - Add this code to line 22:
        $catid = HTMLSpecialChars($catid);
         $catid = PREG_Match("/^[0-9]/", $catid);
        If (!$catid){
        Print "Error";
        - Add this code to line 138:
        }} //end if
        - Open showcat.php
         - Add this code to line 14:
        $catid = HTMLSpecialChars($catid);
         $catid = PREG_Match("/^[0-9]/", $catid);
        If (!$catid){
        Print "Error";
        - Add this code to line 105:
        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: .

- 漏洞信息 (21906)

phpLinkat 0.1 Multiple Cross Site Scripting Vulnerabilities (EDBID:21906)
php webapps
2002-10-04 Verified
0 Sp.IC
N/A [点击下载]

Reportedly, phpLinkat is prone to cross site scripting attacks.

An attacker may exploit this vulnerability by enticing a victim user to follow a malicious link containing HTML and script code. The attacker-supplied HTML and script code may be executed on a web client in the context of the site hosting phpLinkat.

Attackers may potentially exploit this issue to manipulate web content or to steal cookie-based authentication credentials. It may be possible to take arbitrary actions as the victim user.



- 漏洞信息

phpLinkat showcat.php catid Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Public

- 漏洞描述

phpLinkat contains a flaw that allows a remote cross site scripting (XSS) attack. This flaw exists because the application does not validate the 'catid' parameter upon submission to the 'showcat.php' script. This may allow a user to create a specially crafted URL that would execute arbitrary script code in a user's browser within the trust relationship between their browser and the server.

- 时间线

2002-10-03 Unknow
2002-10-03 Unknow

- 解决方案


Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete